
soekrisdir:
	-mv $(BASE_DIR)/soekriscf.old soekriscf.old2
	-mv $(BASE_DIR)/soekriscf $(BASE_DIR)/soekriscf.old
	-rm -rf $(BASE_DIR)/soekriscf.old2
	-mkdir $(BASE_DIR)/soekriscf

	mkdir $(BASE_DIR)/soekriscf/packages
	mkdir $(BASE_DIR)/soekriscf/modules
	mkdir $(BASE_DIR)/soekriscf/live

	cp $(INITRD_DIR)/initrd.gz $(BASE_DIR)/soekriscf/initrd.gz
	cp $(ADD_DIR)/add.bz2 $(BASE_DIR)/soekriscf/.

	cat $(SCRIPTS_DIR)/config | sed -e 's/vc\/3/tts\/0/' > $(BASE_DIR)/soekriscf/config

	cp $(SCRIPTS_DIR)/hosts $(BASE_DIR)/soekriscf/.
	cp $(SCRIPTS_DIR)/firewall.ini $(BASE_DIR)/soekriscf/.
	cp $(SCRIPTS_DIR)/network.ini $(BASE_DIR)/soekriscf/.
	cp $(SCRIPTS_DIR)/floppyfw.ini $(BASE_DIR)/soekriscf/.
	cp $(SCRIPTS_DIR)/floppyfw.msg $(BASE_DIR)/soekriscf/.
	cp $(SCRIPTS_DIR)/syslinux.cfg-soekris $(BASE_DIR)/soekriscf/syslinux.cfg
	cp $(SCRIPTS_DIR)/modules.lst.soekris $(BASE_DIR)/soekriscf/modules.lst
	cp -a $(MODULES_DIR)/lib/modules $(BASE_DIR)/soekriscf/live/.
	cp $(LINUX_KERNEL) $(BASE_DIR)/soekriscf/vmlinuz

	cp $(PACKAGES_DIR)/ppp.bz2 $(BASE_DIR)/soekriscf/packages/.

	cp $(PACKAGES_DIR)/pcmcia-cs.bz2 $(BASE_DIR)/soekriscf/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-pcmcia.ini $(BASE_DIR)/soekriscf/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-wireless.ini $(BASE_DIR)/soekriscf/packages/.


soekrisimage: $(PACKAGES_DIR)/ppp.bz2 $(PACKAGES_DIR)/pcmcia-cs.bz2 initrd-ide add-package soekrisdir

soekris-dirclean:
	-rm -rf  $(BASE_DIR)/soekriscf
