
flashdir:
	-mv $(BASE_DIR)/flash.old flash.old2
	-mv $(BASE_DIR)/flash $(BASE_DIR)/flash.old
	-rm -rf $(BASE_DIR)/flash.old2
	-mkdir $(BASE_DIR)/flash

	mkdir $(BASE_DIR)/flash/packages
	mkdir $(BASE_DIR)/flash/modules
	mkdir $(BASE_DIR)/flash/live

	cp $(INITRD_DIR)/initrd.gz $(BASE_DIR)/flash/initrd.gz
	cp $(ADD_DIR)/add.bz2 $(BASE_DIR)/flash/.

	cat $(SCRIPTS_DIR)/config | sed -e 's/vc\/3/tts\/0/' > $(BASE_DIR)/flash/config

	cp $(SCRIPTS_DIR)/hosts $(BASE_DIR)/flash/.
	cp $(SCRIPTS_DIR)/firewall.ini $(BASE_DIR)/flash/.
	cp $(SCRIPTS_DIR)/network.ini $(BASE_DIR)/flash/.
	cp $(SCRIPTS_DIR)/floppyfw.ini $(BASE_DIR)/flash/.
	cp $(SCRIPTS_DIR)/floppyfw.msg $(BASE_DIR)/flash/.
	cp $(SCRIPTS_DIR)/syslinux.cfg-flash $(BASE_DIR)/flash/syslinux.cfg
	cp $(SCRIPTS_DIR)/modules.lst $(BASE_DIR)/flash/modules.lst
	cp -a $(MODULES_DIR)/lib/modules $(BASE_DIR)/flash/live/.
	cp $(LINUX_KERNEL) $(BASE_DIR)/flash/vmlinuz

	cp $(PACKAGES_DIR)/ppp.bz2 $(BASE_DIR)/flash/packages/.

	cp $(PACKAGES_DIR)/pcmcia-cs.bz2 $(BASE_DIR)/flash/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-pcmcia.ini $(BASE_DIR)/flash/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-wireless.ini $(BASE_DIR)/flash/packages/.


flashimage: $(PACKAGES_DIR)/ppp.bz2 $(PACKAGES_DIR)/pcmcia-cs.bz2 initrd-flash add-package flashdir

flash-dirclean:
	-rm -rf  $(BASE_DIR)/flash
