#############################################################
#
# uclibc
# 
# This one is pretty special but yet ohh so simple.
#
#############################################################

UCLIBC_LIBDIR=/

$(INITRD_MASTER)/lib/libc.so.0: 
	#
	# Just copying the library-files:
	#
	cp -a $(UCLIBC_LIBDIR)/lib/libc.* $(INITRD_MASTER)/lib/.
	# cp -a $(UCLIBC_LIBDIR)/lib/libgcc* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/*uC* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/libm* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/libcrypt* $(INITRD_MASTER)/lib/.

	cp -a $(UCLIBC_LIBDIR)/lib/libdl* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/libpthread* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/libresolv* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/lib/libutil* $(ADD_MASTER)/lib/.

	cp -a $(UCLIBC_LIBDIR)/lib/libnsl* $(ADD_MASTER)/lib/.

	# This one does not belong here
	-cp -a $(UCLIBC_LIBDIR)/lib/libz* $(ADD_MASTER)/lib/.

	-rm -f $(INITRD_MASTER)/lib/*.a $(ADD_MASTER)/lib/*.a
	-rmdir $(INITRD_MASTER)/lib/modules $(ADD_MASTER)/lib/modules

	# Sick, but it works.
	-sstrip $(ADD_MASTER)/lib/*
	-sstrip $(INITRD_MASTER)/lib/*


uclibc: $(INITRD_MASTER)/lib/libc.so.0

uclibc-clean:
	-rm -rf $(INITRD_MASTER)/lib/*
	-rm -f $(ADD_MASTER)/lib/libcrypt*
	-rm -f $(ADD_MASTER)/lib/libdl*
	-rm -f $(ADD_MASTER)/lib/libpth*
	-rm -f $(ADD_MASTER)/lib/libres*
	-rm -f $(ADD_MASTER)/lib/libu*
	-rm -f $(ADD_MASTER)/lib/libnsl*

uclibc-dirclean:
	-rm -rf $(INITRD_MASTER)/lib/*
	-rm -f $(ADD_MASTER)/lib/libcrypt*
	-rm -f $(ADD_MASTER)/lib/libdl*
	-rm -f $(ADD_MASTER)/lib/libpth*
	-rm -f $(ADD_MASTER)/lib/libres*
	-rm -f $(ADD_MASTER)/lib/libu*
	-rm -f $(ADD_MASTER)/lib/libnsl*
